kshowmail: KFeedbackForm Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KFeedbackForm Class Reference

`#include <kfeedback.h>`

List of all members.

## Public Slots
virtual void | sendMail ()
## Signals
void | mailSent ()
void | checkComplete ()
## Public Member Functions
| KFeedbackForm (const TQString &feedbackMailAddress, TQWidget *parent)
virtual | ~KFeedbackForm ()
virtual bool | readyToSend ()
KFeedbackQuestionList * | questionList ()
## Protected Slots
void | slotCheckComplete ()
## Protected Member Functions
TQString | formatComment ()
## Protected Attributes
TQString | _feedbackMailAddress
KFeedbackQuestionList * | _questionList
TQMultiLineEdit * | _comment

## Detailed Description

User feedback form:

User is asked a list of questions, the answers of which will be sent via mail back to a feedback mail address.

Definition at line 98 of file kfeedback.h.

## Constructor & Destructor Documentation

KFeedbackForm::KFeedbackForm | ( | const TQString & | feedbackMailAddress,
|  | TQWidget * | parent |
| ) |  |  |

Constructor.

Definition at line 80 of file kfeedback.cpp.

References _comment, _questionList and slotCheckComplete().

KFeedbackForm::~KFeedbackForm | ( |  | ) | `[virtual]`

Destructor.

Definition at line 146 of file kfeedback.cpp.

## Member Function Documentation

void KFeedbackForm::sendMail | ( |  | ) | `[virtual, slot]`

Compose a mail from the user's answers and send it to the feedback mail address passed to the constructor.

This method will check with readyToSend() if the mail can be sent with the questions answered until now and prompt the user to answer more questions if not.

Connect the mailSent() signal if you are interested when exactly all this was successful.

Definition at line 153 of file kfeedback.cpp.

References _feedbackMailAddress, _questionList, formatComment(), and KFeedbackQuestionList::result().

bool KFeedbackForm::readyToSend | ( |  | ) | `[virtual]`

Checks if the mail is ready to send, i.e. if all required fields are filled.

Definition at line 229 of file kfeedback.cpp.

References _questionList, and KFeedbackQuestionList::isComplete().

Referenced by KFeedbackDialog::checkSendButton().

KFeedbackQuestionList* KFeedbackForm::questionList | ( |  | ) | `[inline]`

Returns the KFeedbackQuestionList .

Definition at line 142 of file kfeedback.h.

References _questionList.

Referenced by KShowMailApp::slotSendFeedbackMail().

void KFeedbackForm::mailSent | ( |  | ) | `[signal]`

Emitted when the user has sent the feedback mail - i.e. when he clicked on the "Send mail" button and the mail has successfully been forwarded to the mailer. He can still choose not to send the mail from within the mailer, though.

Referenced by sendMail().

void KFeedbackForm::checkComplete | ( |  | ) | `[signal]`

Emitted when it is time to check for completeness of all information in this form: Either when a new question is added or when a question is answered.

Referenced by KFeedbackForm(), and slotCheckComplete().

void KFeedbackForm::slotCheckComplete | ( |  | ) | `[protected, slot]`

Check for completeness of this form.

Definition at line 208 of file kfeedback.cpp.

Referenced by KFeedbackForm().

TQString KFeedbackForm::formatComment | ( |  | ) | `[protected]`

Format the "personal comments" field for sending mail.

Definition at line 215 of file kfeedback.cpp.

References _comment.

Referenced by sendMail().

The documentation for this class was generated from the following files:

- kshowmail/kfeedback.h
- kshowmail/kfeedback.cpp